%define oname   uuid

Name:       ruby-%{oname}
Version:    2.3.8
Release:    %mkrel 2
Summary:    Generates universally unique identifiers (UUIDs) for use in distributed applications
Group:      Development/Ruby
License:    MIT
URL:        https://github.com/assaf/uuid
Source0:    http://rubygems.org/gems/%{oname}-%{version}.gem
Patch0:     ruby-uuid-2.3.6-fix-version.patch
BuildRequires: rubygems
BuildRequires: rubygem(hoe) >= 3.1
BuildArch:  noarch

%description
Generates universally unique identifiers (UUIDs) for use in distributed
applications.

Based on RFC 4122.


#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.
#-------------------------------------------------------------------------------

%prep
%gem_setup
%autopatch -p1

%build
%gem_build

%install
%gem_install

# (cg) No need to ship license as per our policy
rm -f %{buildroot}%{gem_instdir}/MIT-LICENSE

# (cg) Rename generic binary to avoid potential conflicts with other pkgs.
mv %{buildroot}%{_bindir}/uuid %{buildroot}%{_bindir}/%{name} 

%files
%{_bindir}/%{name}
%{gem_instdir}/
%{gem_spec}

%files          doc
%doc %{gem_docdir}


%changelog
* Sun Oct 16 2016 tv <tv> 2.3.8-2.mga6
+ Revision: 1061026
- switch to %%autosetup (mga#15579)

* Sun Feb 14 2016 pterjan <pterjan> 2.3.8-1.mga6
+ Revision: 960161
- Update to 2.3.8

* Wed Oct 15 2014 umeabot <umeabot> 2.3.6-6.mga5
+ Revision: 739611
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.3.6-5.mga5
+ Revision: 688995
- Mageia 5 Mass Rebuild

* Sat Dec 28 2013 pterjan <pterjan> 2.3.6-4.mga4
+ Revision: 562610
- Fix gem macros

* Sat Oct 19 2013 umeabot <umeabot> 2.3.6-3.mga4
+ Revision: 535867
- Mageia 4 Mass Rebuild

* Sat Sep 21 2013 fwang <fwang> 2.3.6-2.mga4
+ Revision: 482733
- update file list
- use gem_setup

* Fri Feb 08 2013 fwang <fwang> 2.3.6-2.mga3
+ Revision: 396900
- rebuild for new rdoc

* Sun Jan 20 2013 colin <colin> 2.3.6-1.mga3
+ Revision: 390089
- Fix summary
- imported package ruby-uuid

